/*===========================================================================*/
/*   (Pp/circle.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Pp/circle.scm -indent -o objs/obj_u/Pp/circle.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>


/* Object type definitions */

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t write_char(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__pp_circlez00();
extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
extern obj_t display_ucs2(obj_t, obj_t);
extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
extern obj_t display_char(obj_t, obj_t);
extern obj_t write_string(obj_t, bool_t, obj_t);
static obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t, obj_t);
extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
static obj_t BGl__jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t, obj_t, obj_t);
extern obj_t ucs2_string_to_utf8_string(obj_t);
BGL_EXPORTED_DECL obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
static obj_t BGl__czd2debuggingzd2printz00zz__pp_circlez00(obj_t, obj_t);
extern obj_t BGl_objectzd2printzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
extern obj_t BGl_classzd2fieldszd2zz__objectz00(obj_t);
extern obj_t BGl_classzd2fieldzd2lenzd2accessorzd2zz__objectz00(obj_t);
extern obj_t write_symbol(obj_t, obj_t);
extern obj_t display_flonum(obj_t, obj_t);
extern obj_t write_object(obj_t, obj_t);
extern obj_t BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__biglooz00;
extern obj_t display_symbol(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t, obj_t, bool_t);
extern obj_t display_ucs2string(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31173ze3z83zz__pp_circlez00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2classesza2z00zz__objectz00;
extern obj_t display_string(obj_t, obj_t);
static obj_t BGl_loopz00zz__pp_circlez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31329ze3z83zz__pp_circlez00(obj_t);
static obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_registerz00zz__pp_circlez00(obj_t, obj_t);
extern obj_t string_for_read(obj_t);
static obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t, obj_t, obj_t);
static bool_t BGl_loop_2245z00zz__pp_circlez00(obj_t, obj_t, int, obj_t, obj_t, obj_t, long);
static bool_t BGl_loop_2246z00zz__pp_circlez00(obj_t, obj_t, int, obj_t, obj_t, obj_t, long);
extern obj_t display_fixnum(obj_t, obj_t);
extern bool_t BGl_classzd2fieldzd2indexedzf3zf3zz__objectz00(obj_t);
static obj_t BGl_zc3anonymousza31339ze3z83zz__pp_circlez00(obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00();
extern obj_t write_utf8string(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__pp_circlez00 = BUNSPEC;
BGL_EXPORTED_DECL char * BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t, int);
BGL_EXPORTED_DECL obj_t dprint(obj_t);
extern obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
extern obj_t write_ucs2(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string2355z00zz__pp_circlez00, BgL_bgl_string2355za700za7za7__pp_circleza7002361z00, " . ", 3 );
DEFINE_STRING( BGl_string2354z00zz__pp_circlez00, BgL_bgl_string2354za700za7za7__pp_circleza7002362z00, ">", 1 );
DEFINE_STRING( BGl_string2353z00zz__pp_circlez00, BgL_bgl_string2353za700za7za7__pp_circleza7002363z00, "#<cell:", 7 );
extern obj_t BGl_displayzd2envzd2zz__r4_output_6_10_3z00;
DEFINE_STRING( BGl_string2352z00zz__pp_circlez00, BgL_bgl_string2352za700za7za7__pp_circleza7002364z00, "#{", 2 );
DEFINE_STRING( BGl_string2351z00zz__pp_circlez00, BgL_bgl_string2351za700za7za7__pp_circleza7002365z00, "write-circle", 12 );
DEFINE_STRING( BGl_string2350z00zz__pp_circlez00, BgL_bgl_string2350za700za7za7__pp_circleza7002366z00, "wrong number of optional arguments", 34 );
DEFINE_STRING( BGl_string2349z00zz__pp_circlez00, BgL_bgl_string2349za700za7za7__pp_circleza7002367z00, "display-circle", 14 );
DEFINE_EXPORT_PROCEDURE( BGl_writezd2circlezd2envz00zz__pp_circlez00, BgL_bgl__writeza7d2circleza7d2za7za7__pp_circleza7002368za7, va_generic_entry, BGl__writezd2circlezd2zz__pp_circlez00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2debuggingzd2printzd2envzd2zz__pp_circlez00, BgL_bgl__jvmza7d2debuggingza7d2printza700za7za7__pp_circleza7002369z00, BGl__jvmzd2debuggingzd2printz00zz__pp_circlez00, 0L, 2 );
extern obj_t BGl_writezd2envzd2zz__r4_output_6_10_3z00;
DEFINE_EXPORT_PROCEDURE( BGl_czd2debuggingzd2printzd2envzd2zz__pp_circlez00, BgL_bgl__cza7d2debuggingza7d2printza700za7za7__pp_circleza7002370z00, BGl__czd2debuggingzd2printz00zz__pp_circlez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_displayzd2circlezd2envz00zz__pp_circlez00, BgL_bgl__displayza7d2circleza7d2za7za7__pp_circleza7002371za7, va_generic_entry, BGl__displayzd2circlezd2zz__pp_circlez00, -2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long BgL_checksumz00_1200, char * BgL_fromz00_1201)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__pp_circlez00))
{ 
BGl_requirezd2initializa7ationz75zz__pp_circlez00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__pp_circlez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* display-circle */
BGL_EXPORTED_DEF obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t BgL_objz00_1, obj_t BgL_portz00_2)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 68 */
{ /* ./Pp/circle.scm 69 */
obj_t BgL_portz00_498;
if(
NULLP(BgL_portz00_2))
{ /* ./Pp/circle.scm 69 */
BgL_portz00_498 = 
BGL_CURRENT_OUTPUT_PORT(); }  else 
{ /* ./Pp/circle.scm 69 */
if(
PAIRP(BgL_portz00_2))
{ /* ./Pp/circle.scm 69 */
bool_t BgL_testz00_1211;
{ /* ./Pp/circle.scm 69 */
obj_t BgL_auxz00_1212;
BgL_auxz00_1212 = 
CDR(BgL_portz00_2); 
BgL_testz00_1211 = 
NULLP(BgL_auxz00_1212); } 
if(BgL_testz00_1211)
{ /* ./Pp/circle.scm 69 */
BgL_portz00_498 = 
CAR(BgL_portz00_2); }  else 
{ /* ./Pp/circle.scm 69 */
FAILURE(BGl_string2349z00zz__pp_circlez00,BGl_string2350z00zz__pp_circlez00,BgL_portz00_2);} }  else 
{ /* ./Pp/circle.scm 69 */
FAILURE(BGl_string2349z00zz__pp_circlez00,BGl_string2350z00zz__pp_circlez00,BgL_portz00_2);} } 
return 
BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_objz00_1, BgL_portz00_498, ((bool_t)1));} } 
}



/* _display-circle */
obj_t BGl__displayzd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_1087, obj_t BgL_objz00_1088, obj_t BgL_portz00_1089)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 68 */
return 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_objz00_1088, BgL_portz00_1089);} 
}



/* write-circle */
BGL_EXPORTED_DEF obj_t BGl_writezd2circlezd2zz__pp_circlez00(obj_t BgL_objz00_3, obj_t BgL_portz00_4)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 83 */
{ /* ./Pp/circle.scm 84 */
obj_t BgL_portz00_507;
if(
NULLP(BgL_portz00_4))
{ /* ./Pp/circle.scm 84 */
BgL_portz00_507 = 
BGL_CURRENT_OUTPUT_PORT(); }  else 
{ /* ./Pp/circle.scm 84 */
if(
PAIRP(BgL_portz00_4))
{ /* ./Pp/circle.scm 84 */
bool_t BgL_testz00_1225;
{ /* ./Pp/circle.scm 84 */
obj_t BgL_auxz00_1226;
BgL_auxz00_1226 = 
CDR(BgL_portz00_4); 
BgL_testz00_1225 = 
NULLP(BgL_auxz00_1226); } 
if(BgL_testz00_1225)
{ /* ./Pp/circle.scm 84 */
BgL_portz00_507 = 
CAR(BgL_portz00_4); }  else 
{ /* ./Pp/circle.scm 84 */
FAILURE(BGl_string2351z00zz__pp_circlez00,BGl_string2350z00zz__pp_circlez00,BgL_portz00_4);} }  else 
{ /* ./Pp/circle.scm 84 */
FAILURE(BGl_string2351z00zz__pp_circlez00,BGl_string2350z00zz__pp_circlez00,BgL_portz00_4);} } 
return 
BGl_circlezd2writezf2displayz20zz__pp_circlez00(BgL_objz00_3, BgL_portz00_507, ((bool_t)0));} } 
}



/* _write-circle */
obj_t BGl__writezd2circlezd2zz__pp_circlez00(obj_t BgL_envz00_1090, obj_t BgL_objz00_1091, obj_t BgL_portz00_1092)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 83 */
return 
BGl_writezd2circlezd2zz__pp_circlez00(BgL_objz00_1091, BgL_portz00_1092);} 
}



/* circle-write/display */
obj_t BGl_circlezd2writezf2displayz20zz__pp_circlez00(obj_t BgL_objz00_5, obj_t BgL_portz00_6, bool_t BgL_flagz00_7)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 105 */
{ /* ./Pp/circle.scm 106 */
obj_t BgL_cachez00_516;
BgL_cachez00_516 = 
MAKE_CELL(BNIL); 
{ /* ./Pp/circle.scm 106 */
obj_t BgL_nextzd2cardinalzd2_517;
{ /* ./Pp/circle.scm 107 */
obj_t BgL_serialz00_652;
{ /* ./Pp/circle.scm 107 */
obj_t BgL_cellvalz00_1234;
BgL_cellvalz00_1234 = 
BINT(((long)-1)); 
BgL_serialz00_652 = 
MAKE_CELL(BgL_cellvalz00_1234); } 
{ /* ./Pp/circle.scm 108 */
obj_t BgL_zc3anonymousza31329ze3z83_1099;
{ 
int BgL_auxz00_1238;int BgL_auxz00_1236;
BgL_auxz00_1238 = 
(int)(((long)1)); 
BgL_auxz00_1236 = 
(int)(((long)0)); 
BgL_zc3anonymousza31329ze3z83_1099 = 
make_fx_procedure(BGl_zc3anonymousza31329ze3z83zz__pp_circlez00, BgL_auxz00_1236, BgL_auxz00_1238); } 
{ /* ./Pp/circle.scm 108 */
int BgL_auxz00_1241;
BgL_auxz00_1241 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31329ze3z83_1099, BgL_auxz00_1241, BgL_serialz00_652); } 
BgL_nextzd2cardinalzd2_517 = BgL_zc3anonymousza31329ze3z83_1099; } } 
{ /* ./Pp/circle.scm 107 */

BGl_registerz00zz__pp_circlez00(BgL_cachez00_516, BgL_objz00_5); 
{ /* ./Pp/circle.scm 179 */

{ /* ./Pp/circle.scm 180 */
obj_t BgL_cachez00_1151;obj_t BgL_flagz00_1153;
BgL_cachez00_1151 = BgL_cachez00_516; 
BgL_flagz00_1153 = 
BBOOL(BgL_flagz00_7); 
{ /* ./Pp/circle.scm 180 */
obj_t BgL_arg1053z00_1156;
BgL_arg1053z00_1156 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_5, 
CELL_REF(BgL_cachez00_1151)); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_517, BgL_flagz00_1153, BgL_portz00_6, BgL_cachez00_1151, BgL_objz00_5, BgL_arg1053z00_1156); } } } } } } 
return BUNSPEC;} 
}



/* register */
obj_t BGl_registerz00zz__pp_circlez00(obj_t BgL_cachez00_1150, obj_t BgL_objz00_594)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 173 */
BGl_registerz00zz__pp_circlez00:
{ 
obj_t BgL_objz00_621;
{ /* ./Pp/circle.scm 144 */
bool_t BgL_test1216z00_596;
{ /* ./Pp/circle.scm 144 */
bool_t BgL_testz00_1248;
if(
INTEGERP(BgL_objz00_594))
{ /* ./Pp/circle.scm 144 */
BgL_testz00_1248 = ((bool_t)1)
; }  else 
{ /* ./Pp/circle.scm 144 */
BgL_testz00_1248 = 
REALP(BgL_objz00_594)
; } 
if(BgL_testz00_1248)
{ /* ./Pp/circle.scm 144 */
BgL_test1216z00_596 = ((bool_t)1); }  else 
{ /* ./Pp/circle.scm 144 */
if(
SYMBOLP(BgL_objz00_594))
{ /* ./Pp/circle.scm 145 */
BgL_test1216z00_596 = ((bool_t)1); }  else 
{ /* ./Pp/circle.scm 145 */
if(
STRINGP(BgL_objz00_594))
{ /* ./Pp/circle.scm 146 */
BgL_test1216z00_596 = ((bool_t)1); }  else 
{ /* ./Pp/circle.scm 146 */
if(
CNSTP(BgL_objz00_594))
{ /* ./Pp/circle.scm 147 */
BgL_test1216z00_596 = ((bool_t)1); }  else 
{ /* ./Pp/circle.scm 147 */
BgL_test1216z00_596 = 
NULLP(BgL_objz00_594); } } } } } 
if(BgL_test1216z00_596)
{ /* ./Pp/circle.scm 144 */
return BFALSE;}  else 
{ /* ./Pp/circle.scm 149 */
obj_t BgL_matchz00_597;
BgL_matchz00_597 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_objz00_594, 
CELL_REF(BgL_cachez00_1150)); 
if(
CBOOL(BgL_matchz00_597))
{ /* ./Pp/circle.scm 150 */
return 
SET_CDR(BgL_matchz00_597, BTRUE);}  else 
{ /* ./Pp/circle.scm 150 */
{ /* ./Pp/circle.scm 153 */
obj_t BgL_auxz00_1134;
{ /* ./Pp/circle.scm 153 */
obj_t BgL_arg1219z00_598;
BgL_arg1219z00_598 = 
MAKE_PAIR(BgL_objz00_594, BFALSE); 
{ /* ./Pp/circle.scm 153 */
obj_t BgL_auxz00_1265;
BgL_auxz00_1265 = 
CELL_REF(BgL_cachez00_1150); 
BgL_auxz00_1134 = 
MAKE_PAIR(BgL_arg1219z00_598, BgL_auxz00_1265); } } 
CELL_SET(BgL_cachez00_1150, BgL_auxz00_1134); } 
if(
PAIRP(BgL_objz00_594))
{ /* ./Pp/circle.scm 154 */
{ /* ./Pp/circle.scm 156 */
obj_t BgL_arg1224z00_600;
BgL_arg1224z00_600 = 
CAR(BgL_objz00_594); 
BGl_registerz00zz__pp_circlez00(BgL_cachez00_1150, BgL_arg1224z00_600); } 
{ /* ./Pp/circle.scm 157 */
obj_t BgL_arg1228z00_601;
BgL_arg1228z00_601 = 
CDR(BgL_objz00_594); 
{ 
obj_t BgL_objz00_1272;
BgL_objz00_1272 = BgL_arg1228z00_601; 
BgL_objz00_594 = BgL_objz00_1272; 
goto BGl_registerz00zz__pp_circlez00;} } }  else 
{ /* ./Pp/circle.scm 154 */
if(
VECTORP(BgL_objz00_594))
{ /* ./Pp/circle.scm 165 */
{ /* ./Pp/circle.scm 159 */
int BgL_lenz00_603;
BgL_lenz00_603 = 
VECTOR_LENGTH(BgL_objz00_594); 
{ 
long BgL_countz00_604;
{ /* ./Pp/circle.scm 160 */
bool_t BgL_auxz00_1276;
BgL_countz00_604 = ((long)0); 
BgL_loopzd2countzd2_605:
{ /* ./Pp/circle.scm 161 */
bool_t BgL_testz00_1277;
{ /* ./Pp/circle.scm 161 */
long BgL_auxz00_1278;
BgL_auxz00_1278 = 
(long)(BgL_lenz00_603); 
BgL_testz00_1277 = 
(BgL_countz00_604>=BgL_auxz00_1278); } 
if(BgL_testz00_1277)
{ /* ./Pp/circle.scm 161 */
BgL_auxz00_1276 = ((bool_t)0)
; }  else 
{ /* ./Pp/circle.scm 161 */
{ /* ./Pp/circle.scm 163 */
obj_t BgL_arg1235z00_607;
{ 
int BgL_auxz00_1281;
BgL_auxz00_1281 = 
(int)(BgL_countz00_604); 
BgL_arg1235z00_607 = 
VECTOR_REF(BgL_objz00_594,BgL_auxz00_1281); } 
BGl_registerz00zz__pp_circlez00(BgL_cachez00_1150, BgL_arg1235z00_607); } 
{ 
long BgL_countz00_1285;
BgL_countz00_1285 = 
(BgL_countz00_604+((long)1)); 
BgL_countz00_604 = BgL_countz00_1285; 
goto BgL_loopzd2countzd2_605;} } } 
return 
BBOOL(BgL_auxz00_1276);} } } }  else 
{ /* ./Pp/circle.scm 165 */
if(
STRUCTP(BgL_objz00_594))
{ /* ./Pp/circle.scm 165 */
{ /* ./Pp/circle.scm 166 */
int BgL_lenz00_610;
BgL_lenz00_610 = 
STRUCT_LENGTH(BgL_objz00_594); 
{ 
long BgL_countz00_611;
{ /* ./Pp/circle.scm 167 */
bool_t BgL_auxz00_1291;
BgL_countz00_611 = ((long)0); 
BgL_loopzd2countzd2_612:
{ /* ./Pp/circle.scm 168 */
bool_t BgL_testz00_1292;
{ /* ./Pp/circle.scm 168 */
long BgL_auxz00_1293;
BgL_auxz00_1293 = 
(long)(BgL_lenz00_610); 
BgL_testz00_1292 = 
(BgL_countz00_611>=BgL_auxz00_1293); } 
if(BgL_testz00_1292)
{ /* ./Pp/circle.scm 168 */
BgL_auxz00_1291 = ((bool_t)0)
; }  else 
{ /* ./Pp/circle.scm 168 */
{ /* ./Pp/circle.scm 170 */
obj_t BgL_arg1249z00_614;
{ /* ./Pp/circle.scm 170 */
int BgL_auxz00_1296;
BgL_auxz00_1296 = 
(int)(BgL_countz00_611); 
BgL_arg1249z00_614 = 
STRUCT_REF(BgL_objz00_594, BgL_auxz00_1296); } 
BGl_registerz00zz__pp_circlez00(BgL_cachez00_1150, BgL_arg1249z00_614); } 
{ 
long BgL_countz00_1300;
BgL_countz00_1300 = 
(BgL_countz00_611+((long)1)); 
BgL_countz00_611 = BgL_countz00_1300; 
goto BgL_loopzd2countzd2_612;} } } 
return 
BBOOL(BgL_auxz00_1291);} } } }  else 
{ /* ./Pp/circle.scm 172 */
bool_t BgL_test1259z00_616;
BgL_test1259z00_616 = 
BGL_OBJECTP(BgL_objz00_594); 
if(BgL_test1259z00_616)
{ /* ./Pp/circle.scm 172 */
{ /* ./Pp/circle.scm 173 */
bool_t BgL_auxz00_1305;
BgL_objz00_621 = BgL_objz00_594; 
{ /* ./Pp/circle.scm 112 */
obj_t BgL_classz00_623;
{ /* ./Pp/circle.scm 112 */
BgL_objectz00_bglt BgL_objectz00_1021;
BgL_objectz00_1021 = 
(BgL_objectz00_bglt)(BgL_objz00_621); 
{ /* ./Pp/circle.scm 112 */
long BgL_arg2210z00_1022;
{ /* ./Pp/circle.scm 112 */
long BgL_arg2213z00_1023;
BgL_arg2213z00_1023 = 
BGL_OBJECT_CLASS_NUM(BgL_objectz00_1021); 
BgL_arg2210z00_1022 = 
(BgL_arg2213z00_1023-OBJECT_TYPE); } 
{ 
int BgL_auxz00_1309;
BgL_auxz00_1309 = 
(int)(BgL_arg2210z00_1022); 
BgL_classz00_623 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_auxz00_1309); } } } 
{ /* ./Pp/circle.scm 113 */
obj_t BgL_fieldsz00_625;
BgL_fieldsz00_625 = 
BGl_classzd2fieldszd2zz__objectz00(BgL_classz00_623); 
{ /* ./Pp/circle.scm 114 */

{ /* ./Pp/circle.scm 115 */
bool_t BgL_test1276z00_626;
{ /* ./Pp/circle.scm 115 */
bool_t BgL__ortest_1014z00_1030;
BgL__ortest_1014z00_1030 = 
PAIRP(BgL_fieldsz00_625); 
if(BgL__ortest_1014z00_1030)
{ /* ./Pp/circle.scm 115 */
BgL_test1276z00_626 = BgL__ortest_1014z00_1030; }  else 
{ /* ./Pp/circle.scm 115 */
BgL_test1276z00_626 = 
NULLP(BgL_fieldsz00_625); } } 
if(BgL_test1276z00_626)
{ 
obj_t BgL_fieldsz00_627;obj_t BgL_classz00_628;
BgL_fieldsz00_627 = BgL_fieldsz00_625; 
BgL_classz00_628 = BgL_classz00_623; 
BgL_loopz00_629:
if(
NULLP(BgL_fieldsz00_627))
{ /* ./Pp/circle.scm 119 */
{ /* ./Pp/circle.scm 120 */
obj_t BgL_superz00_631;
BgL_superz00_631 = 
BGl_classzd2superzd2zz__objectz00(BgL_classz00_628); 
if(
BGl_classzf3zf3zz__objectz00(BgL_superz00_631))
{ 
obj_t BgL_classz00_1324;obj_t BgL_fieldsz00_1322;
BgL_fieldsz00_1322 = 
BGl_classzd2fieldszd2zz__objectz00(BgL_superz00_631); 
BgL_classz00_1324 = BgL_superz00_631; 
BgL_classz00_628 = BgL_classz00_1324; 
BgL_fieldsz00_627 = BgL_fieldsz00_1322; 
goto BgL_loopz00_629;}  else 
{ /* ./Pp/circle.scm 121 */
BgL_auxz00_1305 = ((bool_t)0)
; } } }  else 
{ /* ./Pp/circle.scm 119 */
if(
(BgL_fieldsz00_627==BUNSPEC))
{ /* ./Pp/circle.scm 125 */
{ 
obj_t BgL_fieldsz00_1327;
BgL_fieldsz00_1327 = BNIL; 
BgL_fieldsz00_627 = BgL_fieldsz00_1327; 
goto BgL_loopz00_629;} }  else 
{ /* ./Pp/circle.scm 125 */
{ /* ./Pp/circle.scm 128 */
obj_t BgL_fz00_635;
BgL_fz00_635 = 
CAR(BgL_fieldsz00_627); 
{ /* ./Pp/circle.scm 128 */
obj_t BgL_gvz00_636;
BgL_gvz00_636 = 
BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fz00_635); 
{ /* ./Pp/circle.scm 129 */

if(
BGl_classzd2fieldzd2indexedzf3zf3zz__objectz00(BgL_fz00_635))
{ /* ./Pp/circle.scm 131 */
obj_t BgL_glz00_638;
BgL_glz00_638 = 
BGl_classzd2fieldzd2lenzd2accessorzd2zz__objectz00(BgL_fz00_635); 
{ 
long BgL_lz00_639;
{ /* ./Pp/circle.scm 132 */
long BgL_arg1290z00_641;
{ /* ./Pp/circle.scm 132 */
obj_t BgL_arg1293z00_642;
BgL_arg1293z00_642 = 
PROCEDURE_ENTRY(BgL_glz00_638)(BgL_glz00_638, BgL_objz00_621, BEOA); 
{ /* ./Pp/circle.scm 132 */
long BgL_auxz00_1335;
BgL_auxz00_1335 = 
(long)CINT(BgL_arg1293z00_642); 
BgL_arg1290z00_641 = 
(BgL_auxz00_1335-((long)1)); } } 
BgL_lz00_639 = BgL_arg1290z00_641; 
BgL_liipz00_640:
if(
(BgL_lz00_639==((long)-1)))
{ 
obj_t BgL_fieldsz00_1340;
BgL_fieldsz00_1340 = 
CDR(BgL_fieldsz00_627); 
BgL_fieldsz00_627 = BgL_fieldsz00_1340; 
goto BgL_loopz00_629;}  else 
{ /* ./Pp/circle.scm 133 */
{ /* ./Pp/circle.scm 136 */
obj_t BgL_arg1303z00_646;
BgL_arg1303z00_646 = 
PROCEDURE_ENTRY(BgL_gvz00_636)(BgL_gvz00_636, BgL_objz00_621, 
BINT(BgL_lz00_639), BEOA); 
BGl_registerz00zz__pp_circlez00(BgL_cachez00_1150, BgL_arg1303z00_646); } 
{ 
long BgL_lz00_1346;
BgL_lz00_1346 = 
(BgL_lz00_639-((long)1)); 
BgL_lz00_639 = BgL_lz00_1346; 
goto BgL_liipz00_640;} } } } }  else 
{ /* ./Pp/circle.scm 130 */
{ /* ./Pp/circle.scm 139 */
obj_t BgL_arg1313z00_648;
BgL_arg1313z00_648 = 
PROCEDURE_ENTRY(BgL_gvz00_636)(BgL_gvz00_636, BgL_objz00_621, BEOA); 
BGl_registerz00zz__pp_circlez00(BgL_cachez00_1150, BgL_arg1313z00_648); } 
{ 
obj_t BgL_fieldsz00_1351;
BgL_fieldsz00_1351 = 
CDR(BgL_fieldsz00_627); 
BgL_fieldsz00_627 = BgL_fieldsz00_1351; 
goto BgL_loopz00_629;} } } } } } } }  else 
{ /* ./Pp/circle.scm 115 */
BgL_auxz00_1305 = ((bool_t)0)
; } } } } } 
return 
BBOOL(BgL_auxz00_1305);} }  else 
{ /* ./Pp/circle.scm 172 */
return BFALSE;} } } } } } } } } 
}



/* loop-matched */
obj_t BGl_loopzd2matchedzd2zz__pp_circlez00(obj_t BgL_nextzd2cardinalzd2_1107, obj_t BgL_flagz00_1106, obj_t BgL_portz00_1105, obj_t BgL_cachez00_1104, obj_t BgL_objz00_525, obj_t BgL_matchz00_526)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 181 */
BGl_loopzd2matchedzd2zz__pp_circlez00:
if(
CBOOL(BgL_matchz00_526))
{ /* ./Pp/circle.scm 184 */
obj_t BgL_valuez00_529;
if(
CBOOL(BgL_matchz00_526))
{ /* ./Pp/circle.scm 184 */
BgL_valuez00_529 = 
CDR(BgL_matchz00_526); }  else 
{ /* ./Pp/circle.scm 184 */
BgL_valuez00_529 = BFALSE; } 
if(
INTEGERP(BgL_valuez00_529))
{ /* ./Pp/circle.scm 186 */
WRITE_CHAR(((unsigned char)'#'), BgL_portz00_1105); 
{ /* ./Pp/circle.scm 189 */
obj_t BgL_cachez00_1158;
BgL_cachez00_1158 = BgL_cachez00_1104; 
{ /* ./Pp/circle.scm 189 */
obj_t BgL_arg1053z00_1163;
BgL_arg1053z00_1163 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_valuez00_529, 
CELL_REF(BgL_cachez00_1158)); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1107, BgL_flagz00_1106, BgL_portz00_1105, BgL_cachez00_1158, BgL_valuez00_529, BgL_arg1053z00_1163); } } 
return 
WRITE_CHAR(((unsigned char)'#'), BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 186 */
if(
CBOOL(BgL_valuez00_529))
{ /* ./Pp/circle.scm 191 */
{ /* ./Pp/circle.scm 193 */
obj_t BgL_serialz00_531;
BgL_serialz00_531 = 
PROCEDURE_ENTRY(BgL_nextzd2cardinalzd2_1107)(BgL_nextzd2cardinalzd2_1107, BEOA); 
SET_CDR(BgL_matchz00_526, BgL_serialz00_531); 
WRITE_CHAR(((unsigned char)'#'), BgL_portz00_1105); 
{ /* ./Pp/circle.scm 196 */
obj_t BgL_cachez00_1164;
BgL_cachez00_1164 = BgL_cachez00_1104; 
{ /* ./Pp/circle.scm 196 */
obj_t BgL_arg1053z00_1169;
BgL_arg1053z00_1169 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_serialz00_531, 
CELL_REF(BgL_cachez00_1164)); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1107, BgL_flagz00_1106, BgL_portz00_1105, BgL_cachez00_1164, BgL_serialz00_531, BgL_arg1053z00_1169); } } 
WRITE_CHAR(((unsigned char)'='), BgL_portz00_1105); 
{ 
obj_t BgL_matchz00_1374;
BgL_matchz00_1374 = BFALSE; 
BgL_matchz00_526 = BgL_matchz00_1374; 
goto BGl_loopzd2matchedzd2zz__pp_circlez00;} } }  else 
{ /* ./Pp/circle.scm 191 */
{ 
obj_t BgL_matchz00_1375;
BgL_matchz00_1375 = BFALSE; 
BgL_matchz00_526 = BgL_matchz00_1375; 
goto BGl_loopzd2matchedzd2zz__pp_circlez00;} } } }  else 
{ /* ./Pp/circle.scm 183 */
if(
INTEGERP(BgL_objz00_525))
{ /* ./Pp/circle.scm 203 */
return 
display_fixnum(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 203 */
if(
CHARP(BgL_objz00_525))
{ /* ./Pp/circle.scm 213 */
if(
CBOOL(BgL_flagz00_1106))
{ /* ./Pp/circle.scm 209 */
return 
display_char(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 209 */
return 
write_char(BgL_objz00_525, BgL_portz00_1105);} }  else 
{ /* ./Pp/circle.scm 213 */
if(
SYMBOLP(BgL_objz00_525))
{ /* ./Pp/circle.scm 213 */
if(
CBOOL(BgL_flagz00_1106))
{ /* ./Pp/circle.scm 214 */
return 
display_symbol(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 214 */
return 
write_symbol(BgL_objz00_525, BgL_portz00_1105);} }  else 
{ /* ./Pp/circle.scm 213 */
if(
STRINGP(BgL_objz00_525))
{ /* ./Pp/circle.scm 218 */
if(
CBOOL(BgL_flagz00_1106))
{ /* ./Pp/circle.scm 219 */
return 
display_string(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 221 */
obj_t BgL_arg1080z00_537;
BgL_arg1080z00_537 = 
string_for_read(BgL_objz00_525); 
{ /* ./Pp/circle.scm 221 */
bool_t BgL_auxz00_1397;
BgL_auxz00_1397 = 
CBOOL(BGl_za2bigloozd2strictzd2r5rszd2stringsza2zd2zz__biglooz00); 
return 
write_string(BgL_arg1080z00_537, BgL_auxz00_1397, BgL_portz00_1105);} } }  else 
{ /* ./Pp/circle.scm 218 */
if(
PAIRP(BgL_objz00_525))
{ /* ./Pp/circle.scm 225 */
WRITE_CHAR(((unsigned char)'('), BgL_portz00_1105); 
return 
BGl_loopz00zz__pp_circlez00(BgL_portz00_1105, BgL_cachez00_1104, BgL_nextzd2cardinalzd2_1107, BgL_flagz00_1106, BgL_objz00_525);}  else 
{ /* ./Pp/circle.scm 225 */
if(
BGl_classzf3zf3zz__objectz00(BgL_objz00_525))
{ /* ./Pp/circle.scm 243 */
return 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 243 */
if(
VECTORP(BgL_objz00_525))
{ /* ./Pp/circle.scm 246 */
WRITE_CHAR(((unsigned char)'#'), BgL_portz00_1105); 
{ /* ./Pp/circle.scm 248 */
int BgL_tagz00_550;
BgL_tagz00_550 = 
VECTOR_TAG(BgL_objz00_525); 
{ /* ./Pp/circle.scm 249 */
bool_t BgL_testz00_1411;
{ /* ./Pp/circle.scm 249 */
long BgL_auxz00_1412;
BgL_auxz00_1412 = 
(long)(BgL_tagz00_550); 
BgL_testz00_1411 = 
(BgL_auxz00_1412>((long)0)); } 
if(BgL_testz00_1411)
{ /* ./Pp/circle.scm 250 */
bool_t BgL_testz00_1415;
{ /* ./Pp/circle.scm 250 */
long BgL_auxz00_1416;
BgL_auxz00_1416 = 
(long)(BgL_tagz00_550); 
BgL_testz00_1415 = 
(BgL_auxz00_1416<((long)100)); } 
if(BgL_testz00_1415)
{ /* ./Pp/circle.scm 250 */
{ /* ./Pp/circle.scm 252 */
bool_t BgL_testz00_1419;
{ /* ./Pp/circle.scm 252 */
long BgL_auxz00_1420;
BgL_auxz00_1420 = 
(long)(BgL_tagz00_550); 
BgL_testz00_1419 = 
(BgL_auxz00_1420>((long)10)); } 
if(BgL_testz00_1419)
{ /* ./Pp/circle.scm 252 */
WRITE_CHAR(((unsigned char)'0'), BgL_portz00_1105); }  else 
{ /* ./Pp/circle.scm 252 */BFALSE; } } 
WRITE_CHAR(((unsigned char)'0'), BgL_portz00_1105); }  else 
{ /* ./Pp/circle.scm 254 */
obj_t BgL_auxz00_1425;
BgL_auxz00_1425 = 
BINT(BgL_tagz00_550); 
write_object(BgL_auxz00_1425, BgL_portz00_1105); } }  else 
{ /* ./Pp/circle.scm 249 */BFALSE; } } } 
{ /* ./Pp/circle.scm 255 */
int BgL_lenz00_554;
BgL_lenz00_554 = 
VECTOR_LENGTH(BgL_objz00_525); 
WRITE_CHAR(((unsigned char)'('), BgL_portz00_1105); 
BGl_loop_2245z00zz__pp_circlez00(BgL_portz00_1105, BgL_objz00_525, BgL_lenz00_554, BgL_cachez00_1104, BgL_nextzd2cardinalzd2_1107, BgL_flagz00_1106, ((long)0)); 
return 
WRITE_CHAR(((unsigned char)')'), BgL_portz00_1105);} }  else 
{ /* ./Pp/circle.scm 246 */
if(
STRUCTP(BgL_objz00_525))
{ /* ./Pp/circle.scm 267 */
display_string(BGl_string2352z00zz__pp_circlez00, BgL_portz00_1105); 
{ /* ./Pp/circle.scm 269 */
obj_t BgL_auxz00_1435;
BgL_auxz00_1435 = 
STRUCT_KEY(BgL_objz00_525); 
write_object(BgL_auxz00_1435, BgL_portz00_1105); } 
WRITE_CHAR(((unsigned char)' '), BgL_portz00_1105); 
{ /* ./Pp/circle.scm 271 */
int BgL_lenz00_564;
BgL_lenz00_564 = 
STRUCT_LENGTH(BgL_objz00_525); 
BGl_loop_2246z00zz__pp_circlez00(BgL_portz00_1105, BgL_objz00_525, BgL_lenz00_564, BgL_cachez00_1104, BgL_nextzd2cardinalzd2_1107, BgL_flagz00_1106, ((long)0)); } 
return 
WRITE_CHAR(((unsigned char)'}'), BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 267 */
if(
CELLP(BgL_objz00_525))
{ /* ./Pp/circle.scm 282 */
display_string(BGl_string2353z00zz__pp_circlez00, BgL_portz00_1105); 
{ /* ./Pp/circle.scm 284 */
obj_t BgL_arg1164z00_573;
BgL_arg1164z00_573 = 
CELL_REF(BgL_objz00_525); 
{ /* ./Pp/circle.scm 284 */
obj_t BgL_cachez00_1170;
BgL_cachez00_1170 = BgL_cachez00_1104; 
{ /* ./Pp/circle.scm 284 */
obj_t BgL_arg1053z00_1175;
BgL_arg1053z00_1175 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1164z00_573, 
CELL_REF(BgL_cachez00_1170)); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1107, BgL_flagz00_1106, BgL_portz00_1105, BgL_cachez00_1170, BgL_arg1164z00_573, BgL_arg1053z00_1175); } } } 
return 
display_string(BGl_string2354z00zz__pp_circlez00, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 287 */
bool_t BgL_test1168z00_574;
BgL_test1168z00_574 = 
BGL_OBJECTP(BgL_objz00_525); 
if(BgL_test1168z00_574)
{ /* ./Pp/circle.scm 287 */
{ /* ./Pp/circle.scm 289 */
obj_t BgL_zc3anonymousza31173ze3z83_1096;
{ 
int BgL_auxz00_1453;int BgL_auxz00_1451;
BgL_auxz00_1453 = 
(int)(((long)4)); 
BgL_auxz00_1451 = 
(int)(((long)-2)); 
BgL_zc3anonymousza31173ze3z83_1096 = 
make_va_procedure(BGl_zc3anonymousza31173ze3z83zz__pp_circlez00, BgL_auxz00_1451, BgL_auxz00_1453); } 
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1456;
BgL_auxz00_1456 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31173ze3z83_1096, BgL_auxz00_1456, BgL_portz00_1105); } 
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1459;
BgL_auxz00_1459 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31173ze3z83_1096, BgL_auxz00_1459, BgL_flagz00_1106); } 
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1462;
BgL_auxz00_1462 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31173ze3z83_1096, BgL_auxz00_1462, BgL_nextzd2cardinalzd2_1107); } 
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1465;
BgL_auxz00_1465 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31173ze3z83_1096, BgL_auxz00_1465, BgL_cachez00_1104); } 
return 
BGl_objectzd2printzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_objz00_525), BgL_portz00_1105, BgL_zc3anonymousza31173ze3z83_1096);} }  else 
{ /* ./Pp/circle.scm 287 */
if(
UCS2_STRINGP(BgL_objz00_525))
{ /* ./Pp/circle.scm 291 */
if(
CBOOL(BgL_flagz00_1106))
{ /* ./Pp/circle.scm 292 */
return 
display_ucs2string(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 294 */
obj_t BgL_auxz00_1475;
{ /* ./Pp/circle.scm 295 */
obj_t BgL_auxz00_1476;
BgL_auxz00_1476 = 
ucs2_string_to_utf8_string(BgL_objz00_525); 
BgL_auxz00_1475 = 
string_for_read(BgL_auxz00_1476); } 
return 
write_utf8string(BgL_auxz00_1475, BgL_portz00_1105);} }  else 
{ /* ./Pp/circle.scm 291 */
if(
UCS2P(BgL_objz00_525))
{ /* ./Pp/circle.scm 298 */
if(
CBOOL(BgL_flagz00_1106))
{ /* ./Pp/circle.scm 299 */
return 
display_ucs2(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 299 */
return 
write_ucs2(BgL_objz00_525, BgL_portz00_1105);} }  else 
{ /* ./Pp/circle.scm 298 */
if(
REALP(BgL_objz00_525))
{ /* ./Pp/circle.scm 303 */
return 
display_flonum(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 306 */
bool_t BgL_test1189z00_585;
BgL_test1189z00_585 = 
BGL_DATEP(BgL_objz00_525); 
if(BgL_test1189z00_585)
{ /* ./Pp/circle.scm 306 */
if(
CBOOL(BgL_flagz00_1106))
{ /* ./Pp/circle.scm 307 */
return 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_objz00_525, BgL_portz00_1105);}  else 
{ /* ./Pp/circle.scm 309 */
obj_t BgL_list1192z00_586;
BgL_list1192z00_586 = 
MAKE_PAIR(BgL_portz00_1105, BNIL); 
return 
BGl_writez00zz__r4_output_6_10_3z00(BgL_objz00_525, BgL_list1192z00_586);} }  else 
{ /* ./Pp/circle.scm 306 */
return 
write_object(BgL_objz00_525, BgL_portz00_1105);} } } } } } } } } } } } } } } } 
}



/* loop */
obj_t BGl_loopz00zz__pp_circlez00(obj_t BgL_portz00_1111, obj_t BgL_cachez00_1110, obj_t BgL_nextzd2cardinalzd2_1109, obj_t BgL_flagz00_1108, obj_t BgL_lz00_539)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 227 */
BGl_loopz00zz__pp_circlez00:
{ /* ./Pp/circle.scm 228 */
obj_t BgL_arg1087z00_541;
BgL_arg1087z00_541 = 
CAR(BgL_lz00_539); 
{ /* ./Pp/circle.scm 228 */
obj_t BgL_cachez00_1176;
BgL_cachez00_1176 = BgL_cachez00_1110; 
{ /* ./Pp/circle.scm 228 */
obj_t BgL_arg1053z00_1181;
BgL_arg1053z00_1181 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1087z00_541, 
CELL_REF(BgL_cachez00_1176)); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1109, BgL_flagz00_1108, BgL_portz00_1111, BgL_cachez00_1176, BgL_arg1087z00_541, BgL_arg1053z00_1181); } } } 
{ /* ./Pp/circle.scm 229 */
obj_t BgL_restz00_542;
BgL_restz00_542 = 
CDR(BgL_lz00_539); 
if(
NULLP(BgL_restz00_542))
{ /* ./Pp/circle.scm 230 */
return 
WRITE_CHAR(((unsigned char)')'), BgL_portz00_1111);}  else 
{ /* ./Pp/circle.scm 232 */
obj_t BgL_matchz00_544;
BgL_matchz00_544 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_restz00_542, 
CELL_REF(BgL_cachez00_1110)); 
{ /* ./Pp/circle.scm 233 */
bool_t BgL_test1092z00_545;
if(
PAIRP(BgL_restz00_542))
{ /* ./Pp/circle.scm 233 */
if(
CBOOL(BgL_matchz00_544))
{ /* ./Pp/circle.scm 234 */
obj_t BgL_auxz00_1509;
BgL_auxz00_1509 = 
CDR(BgL_matchz00_544); 
BgL_test1092z00_545 = 
CBOOL(BgL_auxz00_1509); }  else 
{ /* ./Pp/circle.scm 234 */
BgL_test1092z00_545 = ((bool_t)0); } }  else 
{ /* ./Pp/circle.scm 233 */
BgL_test1092z00_545 = ((bool_t)1); } 
if(BgL_test1092z00_545)
{ /* ./Pp/circle.scm 233 */
display_string(BGl_string2355z00zz__pp_circlez00, BgL_portz00_1111); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1109, BgL_flagz00_1108, BgL_portz00_1111, BgL_cachez00_1110, BgL_restz00_542, BgL_matchz00_544); 
return 
WRITE_CHAR(((unsigned char)')'), BgL_portz00_1111);}  else 
{ /* ./Pp/circle.scm 233 */
WRITE_CHAR(((unsigned char)' '), BgL_portz00_1111); 
{ 
obj_t BgL_lz00_1517;
BgL_lz00_1517 = BgL_restz00_542; 
BgL_lz00_539 = BgL_lz00_1517; 
goto BGl_loopz00zz__pp_circlez00;} } } } } } 
}



/* loop_2245 */
bool_t BGl_loop_2245z00zz__pp_circlez00(obj_t BgL_portz00_1117, obj_t BgL_objz00_1116, int BgL_lenz00_1115, obj_t BgL_cachez00_1114, obj_t BgL_nextzd2cardinalzd2_1113, obj_t BgL_flagz00_1112, long BgL_iz00_555)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 257 */
BGl_loop_2245z00zz__pp_circlez00:
{ /* ./Pp/circle.scm 258 */
bool_t BgL_testz00_1518;
{ /* ./Pp/circle.scm 258 */
long BgL_auxz00_1519;
BgL_auxz00_1519 = 
(long)(BgL_lenz00_1115); 
BgL_testz00_1518 = 
(BgL_iz00_555==BgL_auxz00_1519); } 
if(BgL_testz00_1518)
{ /* ./Pp/circle.scm 258 */
return ((bool_t)0);}  else 
{ /* ./Pp/circle.scm 258 */
{ /* ./Pp/circle.scm 260 */
obj_t BgL_arg1122z00_558;
{ 
int BgL_auxz00_1522;
BgL_auxz00_1522 = 
(int)(BgL_iz00_555); 
BgL_arg1122z00_558 = 
VECTOR_REF(BgL_objz00_1116,BgL_auxz00_1522); } 
{ /* ./Pp/circle.scm 260 */
obj_t BgL_cachez00_1182;
BgL_cachez00_1182 = BgL_cachez00_1114; 
{ /* ./Pp/circle.scm 260 */
obj_t BgL_arg1053z00_1187;
BgL_arg1053z00_1187 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1122z00_558, 
CELL_REF(BgL_cachez00_1182)); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1113, BgL_flagz00_1112, BgL_portz00_1117, BgL_cachez00_1182, BgL_arg1122z00_558, BgL_arg1053z00_1187); } } } 
{ /* ./Pp/circle.scm 261 */
long BgL_nextz00_559;
BgL_nextz00_559 = 
(((long)1)+BgL_iz00_555); 
{ /* ./Pp/circle.scm 262 */
bool_t BgL_testz00_1528;
{ /* ./Pp/circle.scm 262 */
long BgL_auxz00_1529;
BgL_auxz00_1529 = 
(long)(BgL_lenz00_1115); 
BgL_testz00_1528 = 
(BgL_nextz00_559==BgL_auxz00_1529); } 
if(BgL_testz00_1528)
{ /* ./Pp/circle.scm 262 */BFALSE; }  else 
{ /* ./Pp/circle.scm 262 */
WRITE_CHAR(((unsigned char)' '), BgL_portz00_1117); } } 
{ /* ./Pp/circle.scm 264 */
long BgL_arg1130z00_561;
BgL_arg1130z00_561 = 
(((long)1)+BgL_iz00_555); 
{ 
long BgL_iz00_1534;
BgL_iz00_1534 = BgL_arg1130z00_561; 
BgL_iz00_555 = BgL_iz00_1534; 
goto BGl_loop_2245z00zz__pp_circlez00;} } } } } } 
}



/* loop_2246 */
bool_t BGl_loop_2246z00zz__pp_circlez00(obj_t BgL_portz00_1123, obj_t BgL_objz00_1122, int BgL_lenz00_1121, obj_t BgL_cachez00_1120, obj_t BgL_nextzd2cardinalzd2_1119, obj_t BgL_flagz00_1118, long BgL_iz00_565)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 272 */
BGl_loop_2246z00zz__pp_circlez00:
{ /* ./Pp/circle.scm 273 */
bool_t BgL_testz00_1535;
{ /* ./Pp/circle.scm 273 */
long BgL_auxz00_1536;
BgL_auxz00_1536 = 
(long)(BgL_lenz00_1121); 
BgL_testz00_1535 = 
(BgL_iz00_565==BgL_auxz00_1536); } 
if(BgL_testz00_1535)
{ /* ./Pp/circle.scm 273 */
return ((bool_t)0);}  else 
{ /* ./Pp/circle.scm 273 */
{ /* ./Pp/circle.scm 275 */
obj_t BgL_arg1147z00_568;
{ /* ./Pp/circle.scm 275 */
int BgL_auxz00_1539;
BgL_auxz00_1539 = 
(int)(BgL_iz00_565); 
BgL_arg1147z00_568 = 
STRUCT_REF(BgL_objz00_1122, BgL_auxz00_1539); } 
{ /* ./Pp/circle.scm 275 */
obj_t BgL_cachez00_1188;
BgL_cachez00_1188 = BgL_cachez00_1120; 
{ /* ./Pp/circle.scm 275 */
obj_t BgL_arg1053z00_1193;
BgL_arg1053z00_1193 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1147z00_568, 
CELL_REF(BgL_cachez00_1188)); 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1119, BgL_flagz00_1118, BgL_portz00_1123, BgL_cachez00_1188, BgL_arg1147z00_568, BgL_arg1053z00_1193); } } } 
{ /* ./Pp/circle.scm 276 */
long BgL_nextz00_569;
BgL_nextz00_569 = 
(((long)1)+BgL_iz00_565); 
{ /* ./Pp/circle.scm 277 */
bool_t BgL_testz00_1545;
{ /* ./Pp/circle.scm 277 */
long BgL_auxz00_1546;
BgL_auxz00_1546 = 
(long)(BgL_lenz00_1121); 
BgL_testz00_1545 = 
(BgL_nextz00_569==BgL_auxz00_1546); } 
if(BgL_testz00_1545)
{ /* ./Pp/circle.scm 277 */BFALSE; }  else 
{ /* ./Pp/circle.scm 277 */
WRITE_CHAR(((unsigned char)' '), BgL_portz00_1123); } } 
{ /* ./Pp/circle.scm 279 */
long BgL_arg1154z00_571;
BgL_arg1154z00_571 = 
(((long)1)+BgL_iz00_565); 
{ 
long BgL_iz00_1551;
BgL_iz00_1551 = BgL_arg1154z00_571; 
BgL_iz00_565 = BgL_iz00_1551; 
goto BGl_loop_2246z00zz__pp_circlez00;} } } } } } 
}



/* <anonymous:1173> */
obj_t BGl_zc3anonymousza31173ze3z83zz__pp_circlez00(obj_t BgL_envz00_1124, obj_t BgL_xz00_1129, obj_t BgL_pz00_1130)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 288 */
{ /* ./Pp/circle.scm 289 */
obj_t BgL_portz00_1125;obj_t BgL_flagz00_1126;obj_t BgL_nextzd2cardinalzd2_1127;obj_t BgL_cachez00_1128;
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1552;
BgL_auxz00_1552 = 
(int)(((long)0)); 
BgL_portz00_1125 = 
PROCEDURE_REF(BgL_envz00_1124, BgL_auxz00_1552); } 
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1555;
BgL_auxz00_1555 = 
(int)(((long)1)); 
BgL_flagz00_1126 = 
PROCEDURE_REF(BgL_envz00_1124, BgL_auxz00_1555); } 
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1558;
BgL_auxz00_1558 = 
(int)(((long)2)); 
BgL_nextzd2cardinalzd2_1127 = 
PROCEDURE_REF(BgL_envz00_1124, BgL_auxz00_1558); } 
{ /* ./Pp/circle.scm 289 */
int BgL_auxz00_1561;
BgL_auxz00_1561 = 
(int)(((long)3)); 
BgL_cachez00_1128 = 
PROCEDURE_REF(BgL_envz00_1124, BgL_auxz00_1561); } 
{ 
obj_t BgL_xz00_576;obj_t BgL_pz00_577;
BgL_xz00_576 = BgL_xz00_1129; 
BgL_pz00_577 = BgL_pz00_1130; 
{ /* ./Pp/circle.scm 289 */
obj_t BgL_cachez00_1194;
BgL_cachez00_1194 = BgL_cachez00_1128; 
{ /* ./Pp/circle.scm 289 */
obj_t BgL_arg1053z00_1199;
BgL_arg1053z00_1199 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_576, 
CELL_REF(BgL_cachez00_1194)); 
return 
BGl_loopzd2matchedzd2zz__pp_circlez00(BgL_nextzd2cardinalzd2_1127, BgL_flagz00_1126, BgL_portz00_1125, BgL_cachez00_1194, BgL_xz00_576, BgL_arg1053z00_1199);} } } } } 
}



/* <anonymous:1329> */
obj_t BGl_zc3anonymousza31329ze3z83zz__pp_circlez00(obj_t BgL_envz00_1131)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 108 */
{ /* ./Pp/circle.scm 109 */
obj_t BgL_serialz00_1132;
{ /* ./Pp/circle.scm 109 */
int BgL_auxz00_1566;
BgL_auxz00_1566 = 
(int)(((long)0)); 
BgL_serialz00_1132 = 
PROCEDURE_REF(BgL_envz00_1131, BgL_auxz00_1566); } 
{ 

{ /* ./Pp/circle.scm 109 */
obj_t BgL_auxz00_1133;
{ /* ./Pp/circle.scm 109 */
long BgL_za72za7_915;
{ /* ./Pp/circle.scm 109 */
obj_t BgL_auxz00_1569;
BgL_auxz00_1569 = 
CELL_REF(BgL_serialz00_1132); 
BgL_za72za7_915 = 
(long)CINT(BgL_auxz00_1569); } 
{ /* ./Pp/circle.scm 109 */
long BgL_auxz00_1571;
BgL_auxz00_1571 = 
(((long)1)+BgL_za72za7_915); 
BgL_auxz00_1133 = 
BINT(BgL_auxz00_1571); } } 
CELL_SET(BgL_serialz00_1132, BgL_auxz00_1133); } 
return 
CELL_REF(BgL_serialz00_1132);} } } 
}



/* c-debugging-print */
BGL_EXPORTED_DEF obj_t dprint(obj_t BgL_objz00_8)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 318 */
{ /* ./Pp/circle.scm 319 */
obj_t BgL_portz00_1044;
BgL_portz00_1044 = 
BGL_CURRENT_OUTPUT_PORT(); 
{ /* ./Pp/circle.scm 319 */
obj_t BgL_list1332z00_1045;
BgL_list1332z00_1045 = 
MAKE_PAIR(BgL_portz00_1044, BNIL); 
BGl_writezd2circlezd2zz__pp_circlez00(BgL_objz00_8, BgL_list1332z00_1045); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_portz00_1044); 
return BgL_objz00_8;} } 
}



/* _c-debugging-print */
obj_t BGl__czd2debuggingzd2printz00zz__pp_circlez00(obj_t BgL_envz00_1135, obj_t BgL_objz00_1136)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 318 */
return 
dprint(BgL_objz00_1136);} 
}



/* jvm-debugging-print */
BGL_EXPORTED_DEF char * BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t BgL_objz00_9, int BgL_printerzd2numzd2_10)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 327 */
{ /* ./Pp/circle.scm 329 */
obj_t BgL_zc3anonymousza31339ze3z83_1137;
{ 
int BgL_auxz00_1581;int BgL_auxz00_1579;
BgL_auxz00_1581 = 
(int)(((long)2)); 
BgL_auxz00_1579 = 
(int)(((long)0)); 
BgL_zc3anonymousza31339ze3z83_1137 = 
make_fx_procedure(BGl_zc3anonymousza31339ze3z83zz__pp_circlez00, BgL_auxz00_1579, BgL_auxz00_1581); } 
{ /* ./Pp/circle.scm 329 */
obj_t BgL_auxz00_1586;int BgL_auxz00_1584;
BgL_auxz00_1586 = 
BINT(BgL_printerzd2numzd2_10); 
BgL_auxz00_1584 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31339ze3z83_1137, BgL_auxz00_1584, BgL_auxz00_1586); } 
{ /* ./Pp/circle.scm 329 */
int BgL_auxz00_1589;
BgL_auxz00_1589 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31339ze3z83_1137, BgL_auxz00_1589, BgL_objz00_9); } 
{ /* ./Pp/circle.scm 328 */
obj_t BgL_auxz00_1592;
BgL_auxz00_1592 = 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3anonymousza31339ze3z83_1137); 
return 
BSTRING_TO_STRING(BgL_auxz00_1592);} } } 
}



/* _jvm-debugging-print */
obj_t BGl__jvmzd2debuggingzd2printz00zz__pp_circlez00(obj_t BgL_envz00_1144, obj_t BgL_objz00_1145, obj_t BgL_printerzd2numzd2_1146)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 327 */
{ /* ./Pp/circle.scm 329 */
char * BgL_auxz00_1595;
BgL_auxz00_1595 = 
BGl_jvmzd2debuggingzd2printz00zz__pp_circlez00(BgL_objz00_1145, 
CINT(BgL_printerzd2numzd2_1146)); 
return 
string_to_bstring(BgL_auxz00_1595);} } 
}



/* <anonymous:1339> */
obj_t BGl_zc3anonymousza31339ze3z83zz__pp_circlez00(obj_t BgL_envz00_1147)
{ AN_OBJECT;
{ /* ./Pp/circle.scm 329 */
{ /* ./Pp/circle.scm 329 */
obj_t BgL_printerzd2numzd2_1148;obj_t BgL_objz00_1149;
{ /* ./Pp/circle.scm 329 */
int BgL_auxz00_1599;
BgL_auxz00_1599 = 
(int)(((long)0)); 
BgL_printerzd2numzd2_1148 = 
PROCEDURE_REF(BgL_envz00_1147, BgL_auxz00_1599); } 
{ /* ./Pp/circle.scm 329 */
int BgL_auxz00_1602;
BgL_auxz00_1602 = 
(int)(((long)1)); 
BgL_objz00_1149 = 
PROCEDURE_REF(BgL_envz00_1147, BgL_auxz00_1602); } 
{ 

{ /* ./Pp/circle.scm 329 */
obj_t BgL_fun1346z00_661;
if(
INTEGERP(BgL_printerzd2numzd2_1148))
{ /* ./Pp/circle.scm 329 */
switch( 
(long)CINT(BgL_printerzd2numzd2_1148)) { case ((long)1) : 

BgL_fun1346z00_661 = BGl_writezd2envzd2zz__r4_output_6_10_3z00; break;case ((long)2) : 

BgL_fun1346z00_661 = BGl_writezd2circlezd2envz00zz__pp_circlez00; break;case ((long)3) : 

BgL_fun1346z00_661 = BGl_displayzd2circlezd2envz00zz__pp_circlez00; break;
default: 
BgL_fun1346z00_661 = BGl_displayzd2envzd2zz__r4_output_6_10_3z00; } }  else 
{ /* ./Pp/circle.scm 329 */
BgL_fun1346z00_661 = BGl_displayzd2envzd2zz__r4_output_6_10_3z00; } 
{ /* ./Pp/circle.scm 335 */
obj_t BgL_arg1345z00_662;
BgL_arg1345z00_662 = 
BGL_CURRENT_OUTPUT_PORT(); 
return 
PROCEDURE_ENTRY(BgL_fun1346z00_661)(BgL_fun1346z00_661, BgL_objz00_1149, BgL_arg1345z00_662, BEOA);} } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__pp_circlez00()
{ AN_OBJECT;
{ /* ./Pp/circle.scm 26 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__pp_circlez00()
{ AN_OBJECT;
{ /* ./Pp/circle.scm 26 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__pp_circle"); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)18972), "__pp_circle");} 
}

